%global goipath    gopkg.in/op/go-logging.v1
%global forgeurl   https://github.com/op/go-logging
Version:           1

%gometa

%global common_description %{expand:
Package logging implements a logging infrastructure for Go. Its output 
format is customizable and supports different logging backends like 
syslog, file and memory. Multiple backends can be utilized with 
different log levels per backend and logger.}

%global golicenses LICENSE

Name:              %{goname}
Release:           1%{?dist}
Summary:           Golang logging library
License:           BSD
URL:               %{gourl}
Source0:           %{gosource}

Patch0:            0001-Fix-function-name-query-for-callpath.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%install
%gopkginstall

%check
%gocheck

%gopkgfiles

%changelog
* Tue Feb 22 2022 Julien Rische <jrische@redhat.com> - 1-1
- Initial package release
